<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>Wikilist - Login</title>

        <!-- styles -->
        {% style "/assets/Semantic-UI/semantic.min.css" %}
    <style type="text/css">
    body > .grid {
        height: 100%;
    }
    .image {
        margin-top: -100px;
    }
    .column {
        max-width: 450px;
    }
    .ui.stacked.segment::after{
        display: none;
    }
    </style>
    </head>
    <body>
        <div class="ui middle aligned center aligned grid">
            <div class="column">
                <h2 class="ui image header">
                    <img src="/img/wikitoki.jpg" class="image">
                    <div class="content">
                        Wikilist Login
                    </div>
                </h2>
                <form class="ui large form" method="post" action="/login">
                    {% csrf-field %}
                    <div class="ui stacked segment">
                        <div class="field">
                            <div class="ui left icon input">
                                <i class="user icon"></i>
                                <input type="text" name="email" placeholder="E-mail address">
                            </div>
                        </div>
                        <div class="field">
                            <div class="ui left icon input">
                                <i class="lock icon"></i>
                                <input type="password" name="password" placeholder="Password">
                            </div>
                        </div>
                        {% if error %}
                        <div class="ui {{ error.level}} message visible">
                            {{ error.message }}
                        </div>
                        {% endif %}
                        <button class="ui fluid large submit button" type="submit">Login</button>
                    </div>

                </form>
            </div>
        </div>

        <!-- scripts -->
        {% script "/assets/jquery/jquery.min.js" %}
        {% script "/assets/Semantic-UI/semantic.min.js" %}
    </body>
</html>
